[debian-edu-commits] [Git][debian-edu/debian-edu-config][master] Add autopkgtest, providing same tests

Wolfgang Schweer (@schweer-guest) gitlab at salsa.debian.org
Thu Oct 21 20:05:46 BST 2021



Wolfgang Schweer pushed to branch master at Debian Edu / debian-edu-config


Commits:
143ac5c3 by Wolfgang Schweer at 2021-10-21T21:04:18+02:00
Add autopkgtest, providing same tests

configure-edu-gateway (turn a minimal system into a dedicated gateway).

improve-desktop-l10n (install additional packages for $LANG).

install-task-pkgs (install additional packages concerning education desktop packages for $LANG).

Signed-off-by: Wolfgang Schweer <wschweer at arcor.de>

- - - - -


5 changed files:

- debian/changelog
- + debian/tests/configure-edu-gateway
- + debian/tests/control
- + debian/tests/improve-desktop-l10n
- + debian/tests/install-task-pkgs


Changes:

=====================================
debian/changelog
=====================================
@@ -1,5 +1,10 @@
 debian-edu-config (2.12.7) UNRELEASED; urgency=medium
 
+  * Add autopkgtest, providing these tests:
+    - configure-edu-gateway (turn a minimal system into a dedicated gateway).
+    - improve-desktop-l10n (install additional packages for $LANG).
+    - install-task-pkgs (install additional packages concerning education
+      desktop packages for $LANG).
   * debian/debian-edu-config.postinst:
     - Fix code to remove the /etc/smbldap-tools directory.
   * cf3/promises.cf:


=====================================
debian/tests/configure-edu-gateway
=====================================
@@ -0,0 +1,29 @@
+#!/bin/sh
+set -e
+
+chroot_test() {
+	echo
+	echo "Installing Debian Edu chroot using profile $PROFILE, then running"
+	echo "a script to turn this minimal system into a dedicated gateway."
+	echo
+	cd $AUTOPKGTEST_TMP
+	PROFILE=$PROFILE DESKTOP=$DESKTOP /usr/share/debian-edu-config/tools/debian-edu-bless && \
+	/usr/share/debian-edu-config/tools/configure-edu-gateway --firewall yes 2>&1
+}
+
+export LC_ALL=C
+export PROFILE=Minimal
+export DESKTOP=none
+
+# Undo the effect of libpam-tmpdir in case it is active, and use the
+# test specific temp directory.
+export TMP=$AUTOPKGTEST_TMP
+export TMPDIR=$AUTOPKGTEST_TMP
+export TEMP=$AUTOPKGTEST_TMP
+export TEMPDIR=$AUTOPKGTEST_TMP
+
+echo "info: File system status (/proc/mounts):"
+cat /proc/mounts
+echo
+
+chroot_test


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: install-task-pkgs, improve-desktop-l10n, configure-edu-gateway
+Depends: debian-edu-install, education-common
+Restrictions: needs-root allow-stderr


=====================================
debian/tests/improve-desktop-l10n
=====================================
@@ -0,0 +1,31 @@
+#!/bin/sh
+set -e
+
+chroot_test() {
+	echo
+	echo "Installing Debian Edu chroot using profile $PROFILE and desktop $DESKTOP,"
+	echo "then running a script to install some packages to improve desktop task"
+	echo "related packages for $LANG locale."
+	echo
+	cd $AUTOPKGTEST_TMP
+	PROFILE=$PROFILE DESKTOP=$DESKTOP LANG=$LANG /usr/share/debian-edu-config/tools/debian-edu-bless && \
+	/usr/share/debian-edu-config/tools/improve-desktop-l10n 2>&1
+}
+
+export LC_ALL=C
+export PROFILE=Minimal
+export DESKTOP=none
+export LANG=fr_FR.UTF-8
+
+# Undo the effect of libpam-tmpdir in case it is active, and use the
+# test specific temp directory.
+export TMP=$AUTOPKGTEST_TMP
+export TMPDIR=$AUTOPKGTEST_TMP
+export TEMP=$AUTOPKGTEST_TMP
+export TEMPDIR=$AUTOPKGTEST_TMP
+
+echo "info: File system status (/proc/mounts):"
+cat /proc/mounts
+echo
+
+chroot_test


=====================================
debian/tests/install-task-pkgs
=====================================
@@ -0,0 +1,30 @@
+#!/bin/sh
+set -e
+
+chroot_test() {
+	echo
+	echo "Installing Debian Edu chroot using profile $PROFILE and desktop $DESKTOP, then"
+	echo "running a script to install some packages to improve localization for $LANG."
+	echo
+	cd $AUTOPKGTEST_TMP
+	PROFILE=$PROFILE DESKTOP=$DESKTOP LANG=$LANG /usr/share/debian-edu-config/tools/debian-edu-bless && \
+	/usr/share/debian-edu-config/tools/install-task-pkgs 2>&1
+}
+
+export LC_ALL=C
+export PROFILE=Minimal
+export DESKTOP=none
+export LANG=pt_BR.UTF-8
+
+# Undo the effect of libpam-tmpdir in case it is active, and use the
+# test specific temp directory.
+export TMP=$AUTOPKGTEST_TMP
+export TMPDIR=$AUTOPKGTEST_TMP
+export TEMP=$AUTOPKGTEST_TMP
+export TEMPDIR=$AUTOPKGTEST_TMP
+
+echo "info: File system status (/proc/mounts):"
+cat /proc/mounts
+echo
+
+chroot_test



View it on GitLab: https://salsa.debian.org/debian-edu/debian-edu-config/-/commit/143ac5c392251dc83f17ee7bf50ad876c17064d3

-- 
View it on GitLab: https://salsa.debian.org/debian-edu/debian-edu-config/-/commit/143ac5c392251dc83f17ee7bf50ad876c17064d3
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-edu-commits/attachments/20211021/41dd1351/attachment-0001.htm>


More information about the debian-edu-commits mailing list